import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: root
    width: units.gu(60)
    height: units.gu(80)
    color: "lightgray"

    property real margins: units.gu(2)

    // Tabs using "new-tabs" Look and Feel (scrolling tab-bar and flickable tabs).
    Tabs {
        ItemStyle.class: "new-tabs"
        anchors.fill: parent

        // Planner tab
        Tab {
            title: i18n.tr("Journey Planner")
            page: Loader {
                anchors.fill: parent
                source: "PlannerTab.qml"
                property real margins: root.margins
            }
        }

        // Under construction tab
        Tab {
            title: i18n.tr("Under Construction")
            page: Label {
                anchors.fill: parent
                text: "This is the next tab currently under construction"
            }
        }
    }
}
