.pragma library

function zeroPad2(v) {
    if (v < 10) {
        return '0' + v
    } else {
        return v
    }
}

function iso8601DateString(d) {
    return "" + d.getFullYear() + zeroPad2(d.getMonth()+1) + zeroPad2(d.getDate())
}

function iso8601TimeString(d) {
    return "" + zeroPad2(d.getHours()) + zeroPad2(d.getMinutes())
}

function displayTimeString(h, m) {
    return zeroPad2(h) + ":" + zeroPad2(m)
}
